Glibc 2.3.2 won't install...

Glibc 2.3.2 won't install...

Post by zolta » Tue, 01 Apr 2003 10:35:23



Hello,

I've greped and groped in search of answers, but to no avail, so here
goes...

On RH8.0, I've compiled glibc 2.3.2 from the source, and when I attempt to
'make install' (from run-level 1, as suggested in the INSTALL instructions),
part way through, the install halts, and gives errors about
/lib/i686/...stuff having a dependency on GLIBC 2.2.5, GLIBC 2.2.1, etc.
etc...

Of course, after this happens, all commands fail with the same dependecy
issues.  RH8.0 used glibc.so.6 already (GLIBC 2.2.5), so I'm not
anticipating any issues, and it doesn't look like anybody's had any...What
am I doing wrong, I'm sure the 'make install' must have taken these
dependencies into account...I'm fairly certain that I compiled it with gcc
3.2.3...(latest binutils, etc...).

 
 
 

1. RPM won't install glibc rpm errata for 5.2

Hi, when I try to run rpm with the following command (as root and the
file is in the current dir):

rpm -i --force ./glibc-2.0.7-29.4.i386.rpm

The following error occurrs:

Only major versions >= 3 con be installed by this version of RPM glibc-
2.0.7-29.4.i386.rpm could not be installed

My version of rpm is 3.0-6. I also downgraded to version 2.x, but same
result.

My original build is from RedHat 5.2 and I upgraded the kernel to
2.2.5. All seemed fine for months until now that I need to upgrade
glibc so I can install Sun's JDK.

Running the rpm on the packages that came with the 5.2 CD works fine. I
tried to upgrade to rpm ver 4.x, but the same error occurrs and the new
rpm cannot be installed.

Any Ideas? Help?

Sent via Deja.com
http://www.deja.com/

2. Framebuffer /dev/fb0

3. Can't 'make xconfig' after installing glibc

4. Chicken and the Egg Problem

5. programs won't work (after change from libc5 to glibc)

6. test

7. pppd-2.3.5 won't compile with glibc-2.7.3

8. rdist hangs

9. atexit errors, glibc, binutils, and a problem that won't go away

10. FreeBSD 4.2 won't boot - 'read error' on boot after install

11. Red Hat 6.2, Highpoint HPT366: installs fine, won't boot stopping at 'LI'

12. glibc-install to /opt/local/glibc

13. 'kdebase' won't install.